## stenographer 0.0~git20161206.0.66a8e7e

=== stenotype/Makefile ===
# Copyright 2014 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

DEPS=Makefile *.h

DEFINES=
ifneq (,$(wildcard /usr/include/testimony.h))
DEFINES += -DTESTIMONY
DEPS += /usr/include/testimony.h
endif

SHARED_CFLAGS=-std=c++0x -g -Wall -fno-strict-aliasing $(DEFINES)
SHARED_LDFLAGS=-lleveldb -lrt -laio -lpthread -lsnappy -lseccomp
ifneq (,$(wildcard /usr/include/testimony.h))
SHARED_LDFLAGS += -ltestimony
endif

GCC=g++
GCC_CFLAGS_SEC=-fPIC -fPIE -pie -fstack-protector -D_FORTIFY_SOURCE=2
GCC_CFLAGS=-rdynamic -O2 $(GCC_CFLAGS_SEC)
GCC_LDFLAGS_SEC=-Wl,-z,now -Wl,-z,relro
GCC_LDFLAGS=$(GCC_LDFLAGS_SEC)

CLANG=clang++
CLANG_CFLAGS=-fno-omit-frame-pointer -O1 -fno-optimize-sibling-calls
CLANG_LDFLAGS=

FILES=util packets index aio stenotype

AFL=afl-g++
FUZZ_FILES=util index index_bin

# We allow for the compiling of Clang binaries with -fsanitize=XXX by setting
# the SANITIZE argument.  If that argument is set, we'll build stenotype using
# Clang-specific flags.
# Examples:
#   make SANITIZE=address
#   make SANITIZE=memory
#   make SANITIZE=thread
# NOTE:  When clang is used, many security options are NOT.  Clang should be
# used just for testing, NOT for production systems.
SANITIZE=
ifndef SANITIZE
	OBJECTS=$(foreach file,$(FILES),$(file)_gcc.o)
	CFLAGS=$(SHARED_CFLAGS) $(GCC_CFLAGS)
	LDFLAGS=$(SHARED_LDFLAGS) $(GCC_LDFLAGS)
	CC=$(GCC)
else
	OBJECTS=$(foreach file,$(FILES),$(file)_$(SANITIZE)_clang.o)
	CFLAGS=$(SHARED_CFLAGS) $(CLANG_CFLAGS) -fsanitize=$(SANITIZE)
	LDFLAGS=$(SHARED_LDFLAGS) $(CLANG_LDFLAGS)
	CC=$(CLANG)
endif
ifeq "$(SANITIZE)" "memory"
	CFLAGS += -fsanitize-memory-track-origins
endif

all: stenotype

clean:
	rm -f *.o stenotype index_fuzz core



### Building stenotype, either in normal (g++) or sanitization (clang) modes ###

# Generate g++ object files.
%_gcc.o: %.cc $(DEPS)
	$(GCC) $(CFLAGS) -c -o $@ $<

# Generate clang object files.
%_$(SANITIZE)_clang.o: %.cc $(DEPS)
	$(CLANG) $(CFLAGS) -c -o $@ $<

# Generate the stenotype binary itself.  You mostly want this :)
stenotype: $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)



### Fuzzing with AFL ###

# Generate afl object files.
%_afl.o: %.cc $(DEPS)
	$(AFL) $(SHARED_CFLAGS) -c -o $@ $<

# Generate binary for afl fuzzing, which exercises the indexing code path.
index_fuzz: $(foreach file,$(FUZZ_FILES),$(file)_afl.o)
	$(AFL) $(SHARED_CFLAGS) -o index_fuzz $^ $(SHARED_LDFLAGS)

# Run afl-fuzz to fuzz the index_fuzz binary.
fuzz: index_fuzz
	afl-fuzz -i afl_tests -o afl_findings ./index_fuzz @@

=== debian/changelog ===
stenographer (0.0~git20161206.0.66a8e7e-7) unstable; urgency=medium

  * Team upload.
  * Switch to XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 11:13:22 +0100

stenographer (0.0~git20161206.0.66a8e7e-6) unstable; urgency=medium

  * Fix autopkgtest for the case where there is more than one default route.
    Thanks to Steve Langasek for the patch from Ubuntu.
    Closes: #876713
  * Bump Standards-Version.
  * Remove obsolete ORed build-dep on dh-systemd.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Oct 2017 22:47:52 +0100

stenographer (0.0~git20161206.0.66a8e7e-5) unstable; urgency=medium

  * Remove ppc64 from list of supported archs.
    https://lists.alioth.debian.org/pipermail/pkg-go-maintainers/Week-of-Mon-20170123/010368.html
  * Add net-tools to runtime dependencies, needed for "route" command.
    Thanks to Gianfranco Costamagna for reporting this.
    Closes: #856019

 -- Sascha Steinbiss <satta@debian.org>  Mon, 30 Jan 2017 12:18:35 +0100

stenographer (0.0~git20161206.0.66a8e7e-4) unstable; urgency=medium

  * Split dh_install override into arch and indep variants.
    Closes: #852348
  * Clean up patches.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 23 Jan 2017 23:34:00 +0000

stenographer (0.0~git20161206.0.66a8e7e-3) unstable; urgency=medium

  * Add missing dependency on jq for stenographer-common.
    Apparently stenokeys requires it, as noticed by piuparts.
  * Make stenokeys.sh use /dev/urandom as RANDFILE to avoid
    creation of /root/.rnd after calling openssl.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 21 Jan 2017 16:10:23 +0000

stenographer (0.0~git20161206.0.66a8e7e-2) unstable; urgency=medium

  * Fix builds on buildds by making sure directories are created.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 20 Jan 2017 17:28:19 +0100

stenographer (0.0~git20161206.0.66a8e7e-1) unstable; urgency=low

  [ Hilko Bengen and Sascha Steinbiss ]
  * Initial release (Closes: #795101)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 16 Jan 2017 14:37:44 +0100

=== debian/control ===
Source: stenographer
Section: net
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 10.1~),
 dh-golang,
 golang-go,
 golang-github-golang-leveldb-dev,
 golang-github-google-gopacket-dev,
 golang-golang-x-net-dev,
 libaio-dev,
 libleveldb-dev,
 libsnappy-dev,
 libseccomp-dev,
 txt2man
Standards-Version: 4.1.1
Homepage: https://github.com/google/stenographer
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/stenographer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/stenographer.git
XS-Go-Import-Path: github.com/google/stenographer

Package: stenographer
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}, stenographer-common, lsb-base (>=3.0-6)
Recommends: stenographer-client
Description: full-packet-capture utility -- server
 Stenographer is a full-packet-capture utility for buffering packets
 to disk for intrusion detection and incident response purposes. It
 provides a high-performance implementation of NIC-to-disk packet
 writing, handles deleting those files as disk fills up, and provides
 methods for reading back specific sets of packets quickly and easily.

Package: stenographer-client
Architecture: all
Depends: ${misc:Depends}, stenographer-common,
 curl, jq, tcpdump,
Description: full-packet-capture utility -- clients
 Stenographer is a full-packet-capture utility for buffering packets
 to disk for intrusion detection and incident response purposes. It
 provides a high-performance implementation of NIC-to-disk packet
 writing, handles deleting those files as disk fills up, and provides
 methods for reading back specific sets of packets quickly and easily.
 .
 This package contains a HTTP-based client.

Package: stenographer-common
Architecture: all
Depends: ${misc:Depends}, adduser, libcap2-bin, openssl, jq
Description: full-packet-capture utility -- common files
 Stenographer is a full-packet-capture utility for buffering packets
 to disk for intrusion detection and incident response purposes. It
 provides a high-performance implementation of NIC-to-disk packet
 writing, handles deleting those files as disk fills up, and provides
 methods for reading back specific sets of packets quickly and easily.
 .
 This package contains configuration common to client and server and
 creates the Unix user and group needed for operation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
UPSTREAM_VERSION=$(shell dpkg-parsechangelog -SVersion | cut -f2 -d~)
TIMESTAMP=$(shell dpkg-parsechangelog -STimestamp)
DATE=$(shell date --date=@$(TIMESTAMP) '+%d %B %Y')

MANPAGES=debian/man/stenocurl.1 \
         debian/man/stenoread.1 \
         debian/man/stenographer.1 \
         debian/man/stenotype.1 \
         debian/man/stenokeys.1

%:
	dh $@ --buildsystem=golang --with=golang,systemd --parallel

%.1: %.1.txt
	TZ=UTC LC_ALL=C \
	  txt2man -d "$(DATE)" \
	  -s 1 -r "stenographer $(UPSTREAM_VERSION)" \
	  -t $(shell basename -a -s.1 $@) \
	  $< > $@

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=makefile --sourcedirectory=stenotype

override_dh_auto_test:
	cp -r testdata /tmp/stenographer-testdata
	dh_auto_test
	rm -rf /tmp/stenographer-testdata

override_dh_auto_install:
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=makefile --sourcedirectory=stenotype
	rm -rf $(MANPAGES) stenokeys /tmp/stenographer-testdata

override_dh_installman: $(MANPAGES)
	dh_installman

override_dh_install-arch:
	dh_install --fail-missing -X/usr/share/gocode/src
	mv debian/stenographer/usr/bin debian/stenographer/usr/sbin

override_dh_install-indep:
	cp stenokeys.sh stenokeys
	dh_install --fail-missing -X/usr/share/gocode/src
	install -D -m644 configs/steno.conf \
		debian/stenographer-common/etc/stenographer/config
	install -D -m644 configs/limits.conf \
		debian/stenographer-common/etc/security/limits.d/stenographer.conf

override_dh_installdocs:
	dh_installdocs -pstenographer-common
	dh_installdocs -pstenographer --link-doc=stenographer-common
	dh_installdocs -pstenographer-client --link-doc=stenographer-common

override_dh_systemd_enable:
	# Do not start stenographer by default.
	# The user should start it only after making sure the configuration is
	# appropriate for their installation.

=== debian/tests/control ===
Tests: run-example
Depends: @, curl, rsyslog, net-tools
Restrictions: isolation-container, needs-root, allow-stderr

## stenographer 0.0~git20180422.0.73ce5dd

=== debian/changelog ===
stenographer (0.0~git20180422.0.73ce5dd-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use debhelper 12.
  * Bump Standards-Version.
  * Avoid use of dpkg-parsechangelog.
  * Provide shared documentation symlinked from stenographer-common.
  * Remove obsolete lintian overrides and reword renamed ones.
  * Make unit test more resilient:
    - Start stenographer with --seccomp=none to address potential
      crashes on debci VMs.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 10 Feb 2019 11:25:57 +0100

stenographer (0.0~git20161206.0.66a8e7e-10) unstable; urgency=medium

  * Try to make unit test more robust:
    - Skip test if there is not enough memory available to run stenographer
      with minimal settings (256 blocks).
    - Check that port is actually available before trying to stenoread.
    - Make test more verbose to debug potential causes for problems.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 02 Jun 2018 18:10:00 +0200

stenographer (0.0~git20161206.0.66a8e7e-9) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Sascha Steinbiss ]
  * Make stenographer binnmu-safe by not using link-doc between
    arch-dependent and arch-all packages, instead letting each package
    have their own docs.
    Closes: #898232
  * Use debhelper 11.
  * Use secure format URL in d/copyright.
  * Bump Standards-Version.
  * Remove --with=systemd in dh (no longer needed in 11).
  * Remove obsolete --parallel.
  * Switch to dh_installsystemd target for initial disabling of
    service.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 29 May 2018 16:10:47 +0200

stenographer (0.0~git20161206.0.66a8e7e-8) unstable; urgency=medium

  * Team upload.
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 10.1~),
+Build-Depends: debhelper (>= 12),
  dh-golang,
  golang-go,
  golang-github-golang-leveldb-dev,
@@ -14,16 +14,17 @@
  libsnappy-dev,
  libseccomp-dev,
  txt2man
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/google/stenographer
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/stenographer.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/stenographer.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/stenographer
+Vcs-Git: https://salsa.debian.org/go-team/packages/stenographer.git
 XS-Go-Import-Path: github.com/google/stenographer
 
 Package: stenographer
 Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe sh4 sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends}, stenographer-common, lsb-base (>=3.0-6)
 Recommends: stenographer-client
+Built-Using: ${misc:Built-Using}
 Description: full-packet-capture utility -- server
  Stenographer is a full-packet-capture utility for buffering packets
  to disk for intrusion detection and incident response purposes. It

## stenographer 0.0~git20190528.0.6415e2b

=== debian/changelog ===
stenographer (0.0~git20190528.0.6415e2b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add new B-D on golang-google-grpc-dev and golang-github-google-uuid-dev.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 16 Aug 2019 13:32:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  golang-github-golang-leveldb-dev,
  golang-github-google-gopacket-dev,
  golang-golang-x-net-dev,
+ golang-google-grpc-dev,
+ golang-github-google-uuid-dev,
  libaio-dev,
  libleveldb-dev,
  libsnappy-dev,

## stenographer 0.0~git20190917.0.3545c54

=== stenotype/Makefile ===
--- 
+++ 
@@ -20,21 +20,22 @@
 DEPS += /usr/include/testimony.h
 endif
 
+ifneq (,$(wildcard /usr/bin/c++))
+CXX=/usr/bin/c++
+endif
 SHARED_CFLAGS=-std=c++0x -g -Wall -fno-strict-aliasing $(DEFINES)
 SHARED_LDFLAGS=-lleveldb -lrt -laio -lpthread -lsnappy -lseccomp
 ifneq (,$(wildcard /usr/include/testimony.h))
 SHARED_LDFLAGS += -ltestimony
 endif
 
-GCC=g++
-GCC_CFLAGS_SEC=-fPIC -fPIE -pie -fstack-protector -D_FORTIFY_SOURCE=2
-GCC_CFLAGS=-rdynamic -O2 $(GCC_CFLAGS_SEC)
-GCC_LDFLAGS_SEC=-Wl,-z,now -Wl,-z,relro
-GCC_LDFLAGS=$(GCC_LDFLAGS_SEC)
+OPT_CFLAGS_SEC=-fPIC -fPIE -fstack-protector -D_FORTIFY_SOURCE=2
+OPT_CFLAGS=-O2 $(OPT_CFLAGS_SEC)
+OPT_LDFLAGS_SEC=-Wl,-z,now -Wl,-z,relro
+OPT_LDFLAGS=$(OPT_LDFLAGS_SEC)
 
-CLANG=clang++
-CLANG_CFLAGS=-fno-omit-frame-pointer -O1 -fno-optimize-sibling-calls
-CLANG_LDFLAGS=
+DBG_CFLAGS=-fno-omit-frame-pointer -O1 -fno-optimize-sibling-calls
+DBG_LDFLAGS=
 
 FILES=util packets index aio stenotype
 
@@ -48,19 +49,18 @@
 #   make SANITIZE=address
 #   make SANITIZE=memory
 #   make SANITIZE=thread
-# NOTE:  When clang is used, many security options are NOT.  Clang should be
-# used just for testing, NOT for production systems.
+# NOTE:  When sanitize is used, many security options are NOT.  Sanitize should
+# be used just for testing, NOT for production systems.
 SANITIZE=
 ifndef SANITIZE
-	OBJECTS=$(foreach file,$(FILES),$(file)_gcc.o)
-	CFLAGS=$(SHARED_CFLAGS) $(GCC_CFLAGS)
-	LDFLAGS=$(SHARED_LDFLAGS) $(GCC_LDFLAGS)
-	CC=$(GCC)
+	OBJECTS=$(foreach file,$(FILES),$(file)_opt.o)
+	CFLAGS=$(SHARED_CFLAGS) $(OPT_CFLAGS)
+	LDFLAGS=$(SHARED_LDFLAGS) $(OPT_LDFLAGS)
 else
-	OBJECTS=$(foreach file,$(FILES),$(file)_$(SANITIZE)_clang.o)
-	CFLAGS=$(SHARED_CFLAGS) $(CLANG_CFLAGS) -fsanitize=$(SANITIZE)
-	LDFLAGS=$(SHARED_LDFLAGS) $(CLANG_LDFLAGS)
-	CC=$(CLANG)
+	OBJECTS=$(foreach file,$(FILES),$(file)_$(SANITIZE)_dbg.o)
+	CFLAGS=$(SHARED_CFLAGS) $(DBG_CFLAGS) -fsanitize=$(SANITIZE)
+	LDFLAGS=$(SHARED_LDFLAGS) $(DBG_LDFLAGS)
+	CXX=clang++ # Force clang if we're sanitizing
 endif
 ifeq "$(SANITIZE)" "memory"
 	CFLAGS += -fsanitize-memory-track-origins
@@ -72,20 +72,19 @@
 	rm -f *.o stenotype index_fuzz core
 
 
-
 ### Building stenotype, either in normal (g++) or sanitization (clang) modes ###
 
 # Generate g++ object files.
-%_gcc.o: %.cc $(DEPS)
-	$(GCC) $(CFLAGS) -c -o $@ $<
+%_opt.o: %.cc $(DEPS)
+	$(CXX) $(CFLAGS) -c -o $@ $<
 
 # Generate clang object files.
-%_$(SANITIZE)_clang.o: %.cc $(DEPS)
-	$(CLANG) $(CFLAGS) -c -o $@ $<
+%_$(SANITIZE)_dbg.o: %.cc $(DEPS)
+	$(CXX) $(CFLAGS) -c -o $@ $<
 
 # Generate the stenotype binary itself.  You mostly want this :)
 stenotype: $(OBJECTS)
-	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
+	$(CXX) $(CFLAGS) -o $@ $^ $(LDFLAGS)

=== debian/changelog ===
stenographer (0.0~git20190917.0.3545c54-1ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 20 Jan 2023 19:39:56 +0100

stenographer (0.0~git20190917.0.3545c54-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:17:53 +0200

stenographer (0.0~git20190917.0.3545c54-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:52 +0100

stenographer (0.0~git20190917.0.3545c54-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use debhelper-compat.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 22 Jan 2020 10:21:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: stenographer
 Section: net
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
  dh-golang,
  golang-go,
  golang-github-golang-leveldb-dev,
@@ -16,7 +17,7 @@
  libsnappy-dev,
  libseccomp-dev,
  txt2man
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/google/stenographer
 Vcs-Browser: https://salsa.debian.org/go-team/packages/stenographer
 Vcs-Git: https://salsa.debian.org/go-team/packages/stenographer.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DATE=$(shell date --date=@$(SOURCE_DATE_EPOCH) '+%d %B %Y')

MANPAGES=debian/man/stenocurl.1 \
         debian/man/stenoread.1 \
         debian/man/stenographer.1 \
         debian/man/stenotype.1 \
         debian/man/stenokeys.1

%:
	dh $@ --buildsystem=golang --with=golang

%.1: %.1.txt
	TZ=UTC LC_ALL=C \
	  txt2man -d "$(DATE)" \
	  -s 1 -r "stenographer $(DEB_VERSION_UPSTREAM)" \
	  -t $(shell basename -a -s.1 $@) \
	  $< > $@

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=makefile --sourcedirectory=stenotype

override_dh_auto_test:
	cp -r testdata /tmp/stenographer-testdata
	dh_auto_test
	rm -rf /tmp/stenographer-testdata

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installdocs:
	dh_installdocs -pstenographer-common

override_dh_installchangelogs:
	dh_installchangelogs -pstenographer-common

overide_dh_installexamples:
	dh_installexamples -pstenographer-common

override_dh_dwz:
	# pass

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=makefile --sourcedirectory=stenotype
	rm -rf $(MANPAGES) stenokeys /tmp/stenographer-testdata

override_dh_installman: $(MANPAGES)
	dh_installman

override_dh_install-arch:
	dh_install -X/usr/share/gocode/src
	mv debian/stenographer/usr/bin debian/stenographer/usr/sbin

override_dh_install-indep:
	cp stenokeys.sh stenokeys
	dh_install -X/usr/share/gocode/src
	install -D -m644 configs/steno.conf \
		debian/stenographer-common/etc/stenographer/config
	install -D -m644 configs/limits.conf \
		debian/stenographer-common/etc/security/limits.d/stenographer.conf

override_dh_installsystemd:
	# Do not start stenographer by default.
	# The user should start it only after making sure the configuration is
	# appropriate for their installation.
	dh_installsystemd --no-start --no-enable

## stenographer 0.0~git20200127.0.51c919c

=== debian/changelog ===
stenographer (0.0~git20200127.0.51c919c-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Use backports version of Go as dependency.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 10 May 2020 17:56:18 +0200

stenographer (0.0~git20200127.0.51c919c-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 27 Apr 2020 16:33:27 +0200

stenographer (0.0~git20190917.0.3545c54-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Make build-dependency requirements more specific for backports versions.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 22 Jan 2020 10:46:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: stenographer
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 12),
  dh-golang,
- golang-go,
+ golang-go (>= 2:1.12),
  golang-github-golang-leveldb-dev,
  golang-github-google-gopacket-dev,
  golang-golang-x-net-dev,
- golang-google-grpc-dev,
+ golang-google-grpc-dev (>= 1.20),
+ golang-goprotobuf-dev (>= 1.3),
  golang-github-google-uuid-dev,
  libaio-dev,
  libleveldb-dev,

## stenographer 0.0~git20200529.0.b049603

=== debian/changelog ===
stenographer (0.0~git20200529.0.b049603-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Jun 2020 10:13:52 +0200

stenographer (0.0~git20200529.0.b049603-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * Bump debhelper compat level.
  * Add upstream metadata.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 29 May 2020 20:42:23 +0200

## stenographer 1.0.0

=== DESCRIPTION ===
Package: stenographer
Type: Package
Title: Flexible and Customisable Logging System
Version: 1.0.0
URL: https://github.com/dereckmezquita/stenographer
BugReports: https://github.com/dereckmezquita/stenographer/issues
Authors@R: 
    person(given = "Dereck",
           family = "Mezquita",
           role = c("aut", "cre"),
           email = "dereck@mezquita.io",
           comment = c(ORCID = "0000-0002-9307-6762"))
Maintainer: Dereck Mezquita <dereck@mezquita.io>
Description: A comprehensive logging framework for R applications that provides hierarchical logging levels, database integration, and contextual logging capabilities. The package supports 'SQLite' storage for persistent logs, provides colour-coded console output for better readability, includes parallel processing support, and implements structured error reporting with 'JSON' formatting.
License: MIT + file LICENSE
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.3.2
Depends: R (>= 4.1.0)
Imports: R6, rlang, jsonlite, fs, crayon, DBI
Suggests: testthat (>= 3.0.0), diffviewer, knitr, rmarkdown, box,
        future, future.apply, RSQLite
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-01-15 14:38:01 UTC; work
Author: Dereck Mezquita [aut, cre] (<https://orcid.org/0000-0002-9307-6762>)
Repository: CRAN
Date/Publication: 2025-01-16 10:50:06 UTC

## stenographer 1.0.1

=== stenotype/Makefile ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 DEPS=Makefile *.h
 
+# if a monotonic clock reading is preferred, see util.h, GetCurrentTimeNanos(),
+# set the USE_MONOTONIC_TIME flag
 DEFINES=
 ifneq (,$(wildcard /usr/include/testimony.h))
 DEFINES += -DTESTIMONY
@@ -23,7 +25,7 @@
 ifneq (,$(wildcard /usr/bin/c++))
 CXX=/usr/bin/c++
 endif
-SHARED_CFLAGS=-std=c++0x -g -Wall -fno-strict-aliasing $(DEFINES)
+SHARED_CFLAGS=-std=c++0x -Wall -fno-strict-aliasing $(DEFINES)
 SHARED_LDFLAGS=-lleveldb -lrt -laio -lpthread -lsnappy -lseccomp
 ifneq (,$(wildcard /usr/include/testimony.h))
 SHARED_LDFLAGS += -ltestimony
@@ -34,7 +36,7 @@
 OPT_LDFLAGS_SEC=-Wl,-z,now -Wl,-z,relro
 OPT_LDFLAGS=$(OPT_LDFLAGS_SEC)
 
-DBG_CFLAGS=-fno-omit-frame-pointer -O1 -fno-optimize-sibling-calls
+DBG_CFLAGS=-g -fno-omit-frame-pointer -O1 -fno-optimize-sibling-calls
 DBG_LDFLAGS=
 
 FILES=util packets index aio stenotype

=== debian/changelog ===
stenographer (1.0.1-7) unstable; urgency=medium

  * Fix building on loong64. Thanks to wuruilong for the patch.
    Closes: #1071020
  * Bump d/copyright date for debian directory.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Aug 2024 06:53:42 +0200

stenographer (1.0.1-6) unstable; urgency=medium

  * Remove debugging changes from stenokeys script.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 13 Jul 2024 14:55:41 +0200

stenographer (1.0.1-5) unstable; urgency=medium

  * Add subjectAltName to certificates created by stenokeys.
    This addresses #1075859.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 13 Jul 2024 14:43:36 +0200

stenographer (1.0.1-4) unstable; urgency=medium

  * Try to make autopkgtests more robust.
  * Correctly use "skippable" autopkgtest property.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 04 May 2024 02:06:02 +0200

stenographer (1.0.1-3) unstable; urgency=medium

  * Add loong64 to architecture list.
    Closes: #1050411
  * Bump Standards-Version.
  * Bump d/copyright date for debian directory.
  * Remove build-dep on obsolete lsb-base package.
  * Update context in lintian overrides for stenographer-common.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 13 Dec 2023 09:20:39 +0100

stenographer (1.0.1-2) unstable; urgency=medium

  * Fix watchfile.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 23:24:40 +0100

stenographer (1.0.1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add watchfile to track tagged upstream releases.
  * Fix typo in dh_installexamples override.
  * Update copyright dates in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 08 Sep 2020 23:39:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,28 @@
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-golang,
- golang-go (>= 2:1.12),
+ golang-go,
  golang-github-golang-leveldb-dev,
  golang-github-google-gopacket-dev,
  golang-golang-x-net-dev,
- golang-google-grpc-dev (>= 1.20),
- golang-goprotobuf-dev (>= 1.3),
+ golang-google-grpc-dev,
  golang-github-google-uuid-dev,
  libaio-dev,
  libleveldb-dev,
  libsnappy-dev,
  libseccomp-dev,
  txt2man
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/google/stenographer
 Vcs-Browser: https://salsa.debian.org/go-team/packages/stenographer
 Vcs-Git: https://salsa.debian.org/go-team/packages/stenographer.git
 XS-Go-Import-Path: github.com/google/stenographer
 
 Package: stenographer
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe sh4 sparc64 x32
-Depends: ${shlibs:Depends}, ${misc:Depends}, stenographer-common, lsb-base (>=3.0-6)
+Architecture: amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe sh4 sparc64 x32
+Depends: ${shlibs:Depends}, ${misc:Depends}, stenographer-common
 Recommends: stenographer-client
 Built-Using: ${misc:Built-Using}
 Description: full-packet-capture utility -- server
@@ -37,8 +36,7 @@
 
 Package: stenographer-client
 Architecture: all
-Depends: ${misc:Depends}, stenographer-common,
- curl, jq, tcpdump,
+Depends: ${misc:Depends}, stenographer-common, curl, jq, tcpdump
 Description: full-packet-capture utility -- clients
  Stenographer is a full-packet-capture utility for buffering packets
  to disk for intrusion detection and incident response purposes. It

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -pstenographer-common
 
-overide_dh_installexamples:
+override_dh_installexamples:
 	dh_installexamples -pstenographer-common
 
 override_dh_dwz:

=== debian/tests/control ===
Tests: run-example
Depends: @, curl, rsyslog, net-tools, gawk
Restrictions: isolation-container, needs-root, allow-stderr, skippable
